## CamelNullOutputStream

CamelNullOutputStream — Null output stream

## Functions

GOutputStream * | camel_null_output_stream_new ()
gsize | camel_null_output_stream_get_bytes_written ()
gboolean | camel_null_output_stream_get_ends_with_crlf ()

## Object Hierarchy

        GObject
        ╰── GOutputStream
            ╰── CamelNullOutputStream

## Includes

    #include <camel/camel.h>

## Description

CamelNullOutputStream is analogous to writing to /dev/null, except it counts the total number of bytes written to it. This is primarily useful for determining the final size of some outgoing data, especially if using filters on the output stream.

## Functions

### camel_null_output_stream_new ()

    GOutputStream *
    camel_null_output_stream_new (void);

Creates a new "null" output stream.

#### Returns

a new GOutputStream

Since: 3.12

### camel_null_output_stream_get_bytes_written ()

    gsize
    camel_null_output_stream_get_bytes_written
                                   (CamelNullOutputStream *null_stream);

Gets the total number of bytes written to `null_stream` .

#### Parameters

null_stream | a CamelNullOutputStream |

#### Returns

total byte count

Since: 3.12

### camel_null_output_stream_get_ends_with_crlf ()

    gboolean
    camel_null_output_stream_get_ends_with_crlf
                                   (CamelNullOutputStream *null_stream);

#### Parameters

null_stream | a CamelNullOutputStream |

#### Returns

Whether the data being written to `null_stream` ended with CRLF.

Since: 3.30

## See Also

GOutputStream